/*
  Copyright 1999-2009 ImageMagick Studio LLC, a non-profit organization
  dedicated to making software imaging solutions freely available.
  
  You may not use this file except in compliance with the License.
  obtain a copy of the License at
  
    http://www.imagemagick.org/script/license.php
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  MagickCore image color methods.
*/
#ifndef _MAGICKCORE_POLICY_H
#define _MAGICKCORE_POLICY_H

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

#include <magick/pixel.h>
#include <magick/exception.h>

typedef enum
{
  UndefinedPolicyAccess = 0x00,
  NoPolicyAccess = 0x00,
  ReadPolicyAccess = 0x01,
  WritePolicyAccess = 0x02,
  ExecutePolicyAccess = 0x04
} PolicyAccess;

typedef enum
{
  UndefinedPolicyType,
  DelegatePolicyType,
  FormatPolicyType,
  PathPolicyType,
  ResourcePolicyType
} PolicyType;

typedef struct _PolicyInfo
  PolicyInfo;

extern MagickExport char
  *GetResourcePolicy(const char *name),
  **GetPolicyList(const char *,unsigned long *,ExceptionInfo *);

extern MagickExport const PolicyInfo
  **GetPolicyInfoList(const char *,unsigned long *,ExceptionInfo *);

extern MagickExport MagickBooleanType
  ListPolicyInfo(FILE *,ExceptionInfo *);

extern MagickExport void
  DestroyPolicyList(void);

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
